Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.hyphenation
Class TernaryTree.Iterator

    java.lang.Object
      org.apache.fop.hyphenation.TernaryTree.Iterator

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  TernaryTree

public class TernaryTree.Iterator
extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`TernaryTree.Iterator()`

Method Summary
`char` | `getValue()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`
`void` | `rewind()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TernaryTree.Iterator

    public TernaryTree.Iterator()

Method Detail

### rewind

    public void rewind()

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

### getValue

    public char getValue()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.